Get contract address by transaction hash
Retrieve the contract address by blockchain native asset ID and transaction hash
GET
/
contract_interactions
/
base_asset_id
/
{baseAssetId}
/
tx_hash
/
{txHash}
TypeScript
const response: Promise<FireblocksResponse<ContractAddressResponse>> = fireblocks.contractInteractions.getContractAddress(contractInteractionsApiGetContractAddressRequest);CompletableFuture<ApiResponse<ContractAddressResponse>> response = fireblocks.contractInteractions().getContractAddress(baseAssetId, txHash, idempotencyKey);response = fireblocks.contract_interactions.get_contract_address(base_asset_id, tx_hash, idempotency_key);curl --request GET \
--url https://api.fireblocks.io/v1/contract_interactions/base_asset_id/{baseAssetId}/tx_hash/{txHash}const options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/contract_interactions/base_asset_id/{baseAssetId}/tx_hash/{txHash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireblocks.io/v1/contract_interactions/base_asset_id/{baseAssetId}/tx_hash/{txHash}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireblocks.io/v1/contract_interactions/base_asset_id/{baseAssetId}/tx_hash/{txHash}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.fireblocks.io/v1/contract_interactions/base_asset_id/{baseAssetId}/tx_hash/{txHash}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"contractAddress": "0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66"
}{
"message": "<string>",
"code": 123
}Headers
Path Parameters
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<ContractAddressResponse>> = fireblocks.contractInteractions.getContractAddress(contractInteractionsApiGetContractAddressRequest);CompletableFuture<ApiResponse<ContractAddressResponse>> response = fireblocks.contractInteractions().getContractAddress(baseAssetId, txHash, idempotencyKey);response = fireblocks.contract_interactions.get_contract_address(base_asset_id, tx_hash, idempotency_key);curl --request GET \
--url https://api.fireblocks.io/v1/contract_interactions/base_asset_id/{baseAssetId}/tx_hash/{txHash}const options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/contract_interactions/base_asset_id/{baseAssetId}/tx_hash/{txHash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireblocks.io/v1/contract_interactions/base_asset_id/{baseAssetId}/tx_hash/{txHash}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireblocks.io/v1/contract_interactions/base_asset_id/{baseAssetId}/tx_hash/{txHash}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.fireblocks.io/v1/contract_interactions/base_asset_id/{baseAssetId}/tx_hash/{txHash}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"contractAddress": "0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66"
}{
"message": "<string>",
"code": 123
}